> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agents.kolena.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Validations

> Return all Validation results for a Ground Truth

export const limit_0 = 600

<Info>
  **Rate Limit:** This endpoint is limited to **{limit_0.toLocaleString()} requests per minute** per user.
</Info>


## OpenAPI

````yaml openapi.json GET /api/v1/client/agents/{agent_id}/ground_truths/{ground_truth_id}/validations
openapi: 3.1.0
info:
  title: kolena
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/client/agents/{agent_id}/ground_truths/{ground_truth_id}/validations:
    get:
      tags:
        - client
        - ground-truths
      summary: Client List Validation Runs
      operationId: >-
        client_list_validation_runs_api_v1_client_agents__agent_id__ground_truths__ground_truth_id__validations_get
      parameters:
        - name: agent_id
          in: path
          required: true
          schema:
            type: integer
            title: Agent Id
        - name: ground_truth_id
          in: path
          required: true
          schema:
            type: integer
            title: Ground Truth Id
        - name: page_number
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Optionally specify the index of the Validations page to fetch.
            default: 0
            title: Page Number
          description: Optionally specify the index of the Validations page to fetch.
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            description: Optionally specify the maximum number of Validations to fetch.
            default: 50
            title: Page Size
          description: Optionally specify the maximum number of Validations to fetch.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListValidationsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ListValidationsResponse:
      properties:
        validations:
          items:
            $ref: '#/components/schemas/ClientValidation'
          type: array
          title: Validations
          description: The list of Validations.
        total_pages:
          type: integer
          title: Total Pages
          description: >-
            The total number of pages of Validations. Use the request arguments
            `page_number` and `page_size` to control which Validations are
            fetched.
        page_number:
          type: integer
          minimum: 0
          title: Page Number
          description: The number of the fetched page.
          default: 0
        page_size:
          type: integer
          maximum: 1000
          exclusiveMinimum: 0
          title: Page Size
          description: The page size, i.e. number of Validations, fetched.
          default: 50
      type: object
      required:
        - validations
        - total_pages
      title: ListValidationsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ClientValidation:
      properties:
        id:
          type: integer
          title: Id
          description: The unique ID of the validation.
        ground_truth_id:
          type: integer
          title: Ground Truth Id
          description: The ID of the Ground Truth this validation ran against.
        ground_truth_version:
          type: integer
          title: Ground Truth Version
          description: The version of the Ground Truth this validation ran against.
        status:
          $ref: '#/components/schemas/ClientValidationStatus'
          description: The current status of the validation.
        results:
          anyOf:
            - $ref: '#/components/schemas/ClientValidationResults'
            - type: 'null'
          description: >-
            The results of the validation, populated once the validation has
            completed successfully.
      type: object
      required:
        - id
        - ground_truth_id
        - ground_truth_version
        - status
      title: ClientValidation
      examples:
        - ground_truth_id: 1
          ground_truth_version: 2
          id: 1
          results:
            score: 95
          status: success
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ClientValidationStatus:
      type: string
      enum:
        - running
        - success
        - failed
        - canceled
      title: ClientValidationStatus
    ClientValidationResults:
      properties:
        score:
          type: number
          title: Score
          description: >-
            The aggregate matching score of the validation, expressed as
            percentage
      type: object
      required:
        - score
      title: ClientValidationResults
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`. The `<token>`
        represents your API key, which must be acquired from the Kolena
        platform.

````